#version 330 core
out vec4 FragColor;
in vec2 TexCoord;

uniform sampler2D texture1;
uniform sampler2D texture2;

uniform float time;

void main()
{   
    vec4 texCol1 = texture(texture1, TexCoord);

    float r = sin(time + TexCoord.x *10.0) * 0.5 + 0.5;
    float g = sin(time + TexCood.y * 10.0) * 0.5 + 0.5;
    float b = sin(time + TexCoord.x * 5.0 + TexCoord.y * 5.0) *0.5+0.5;
    vec4 disco = vec4(r,g,b,1.0);
   
    FragColor = mix(texCol1, disco, 0.5);
}